# -*- coding: utf-8 -*- 
# @Time    : 04/06/2024 
# @Author  : nzooherd 
# @File    : test_object_store.py 
# @Software: Visual Studio Code


import unittest
from component.object_store import ObjectStore
from component.video_factory import VideoFactory


class TestObjectStore(unittest.IsolatedAsyncioTestCase):

    async def test_upload(self):
        file_path = "/home/nzooherd/Pornherd/Source/test.mp4"
        await ObjectStore().upload_object("123asfd", file_path, use_s3=True)

    async def test_head(self):
        print(await ObjectStore().head_object("123asfd123123", use_s3=True) is None)

    async def test_upload(self):
        file_path = "/home/nzooherd/Pornherd/Source/test.mp4"
        key = VideoFactory().md5sum(file_path)
        ObjectStore().upload_single_part(key, file_path)

    async def test_upload_public(self):
        file_path = "/home/nzooherd/Pornherd/Source/test.mp4"
        key = VideoFactory().md5sum(file_path)
        ObjectStore().upload_single_part(key, file_path, ACL="public-read")


if __name__ == "__main__":
    unittest.main()